//
//  ViewController.swift
//  ex_PickerView
//
//  Created by yoshiyuki oshige on 2014/11/09.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UIPickerViewDelegate, UIPickerViewDataSource {

    // ピッカービューのプロパティ宣言
    @IBOutlet weak var myPickerView: UIPickerView!
    // コンポーネントに表示する項目名
    let compos = [["月","火","水","木","金"],["早朝","午前中","昼間","夜間"]]
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // myPickerViewのデリゲートになる
        self.myPickerView.delegate = self
        // myPickerViewのデータソースになる
        self.myPickerView.dataSource = self
    }
    
    // ピッカービューのコンポーネントの個数を返す
    func numberOfComponentsInPickerView(pickerView: UIPickerView) -> Int {
        return compos.count
    }
    
    // 各コンポーネントの行数を返す
    func pickerView(pickerView: UIPickerView, numberOfRowsInComponent component: Int) -> Int {
        // 順番に呼ばれるので該当のコンポーネントを取り出す
        let compo = compos[component]
        return compo.count
    }
    
    // 各コンポーネントの横幅を返す
    func pickerView(pickerView: UIPickerView, widthForComponent component: Int) -> CGFloat {
        if component == 0 {
            return 50
        } else {
            return 100
        }
    }
    
    // 指定のコンポーネント、行の項目名を返す
    func pickerView(pickerView: UIPickerView, titleForRow row: Int, forComponent component: Int) -> String! {
        // 指定のコンポーネントから指定行の項目名を取り出す
        let item = compos[component][row]
        return item
    }
    
    // ドラムが回転して項目が選ばれた
    func pickerView(pickerView: UIPickerView, didSelectRow row: Int, inComponent component: Int) {
        let item = compos[component][row]
        println("\(item)が選ばれました")
        // 現在選択されている項目名
        let row1 = pickerView.selectedRowInComponent(0)
        let row2 = pickerView.selectedRowInComponent(1)
        let item1 = self.pickerView(pickerView, titleForRow:row1, forComponent:0)
        let item2 = self.pickerView(pickerView, titleForRow:row2, forComponent:1)
        println("現在選ばれているのは\(item1,item2)")
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}
