//
//  ViewController.swift
//  ex_TextField
//
//  Created by yoshiyuki oshige on 2014/09/03.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

// UITextFieldDelegateのデリゲートプロトコルを追加する
class ViewController: UIViewController, UITextFieldDelegate {
    
    // テキストフィールドのプロパティ宣言
    @IBOutlet weak var myTextField: UITextField!
    // ラベルのプロパティ宣言
    @IBOutlet weak var myLabel: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // myTextFieldのデリゲートになる
        self.myTextField.delegate = self
        
    }
    
    // テキストフィールドに変更が発生した（デリゲートメソッド）
    func textField(textField: UITextField, shouldChangeCharactersInRange range: NSRange, replacementString string: String) -> Bool {
        // 変更後の内容を作成する
        var tmpStr = textField.text as NSString
        tmpStr = tmpStr.stringByReplacingCharactersInRange(range, withString: string)
        
        if tmpStr == "" {
            // 変更後が空ならばラベルに0を表示する
            self.myLabel.text = "0"
        } else {
            // 変更後の値を計算してラベルに表示する（25を掛けた値）
            let num = (tmpStr as String).toInt()!
            self.myLabel.text = (num * 25).description
        }
        //テキストフィールドを更新する
        return true
    }
        
    // クリアボタンがタップされた（デリゲートメソッド）
    func textFieldShouldClear(textField: UITextField) -> Bool {
        self.myLabel.text = "0"
        return true
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

